@echo off

SETLOCAL

set VCDIR=%1
set CURDIR=%~dp0

if 'x%VCDIR%x' == 'xx' goto usage


call %VCDIR%\vc\bin\vcvars32.bat

call vsixinstaller.exe /quiet "%CURDIR%IBM.Broker.DotNet.vsix"
IF %ERRORLEVEL% NEQ 0 goto error
goto end

:usage
echo Error in script usage. The correct usage is:
echo     %0 [VCDIR]
echo where [VCDIR] is the install location of the Mircosoft Vistual Studio 10.0
goto end

:error
echo "Extension is failed to install with error %ERRORLEVEL%"


:end
cd "%CURDIR%"

ENDLOCAL